Skip to main content
GET
/
contract
/
v1
/
salaries
List Salaries
curl --request GET \
  --url https://api-{region}.sesametime.com/contract/v1/salaries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payPeriod": "daily",
      "currency": "EUR",
      "grossSalary": 35000,
      "payments": 12,
      "contributionGroup": "Oficiales administrativos",
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "comments": "<string>",
      "prorated": false,
      "monthlyGrossSalary": 2917,
      "remuneration": 2916.67,
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

employeeId
string<uuid>
required

Employee ID

salaryId
string<uuid>

Salary ID

payPeriod
enum<string>

Pay Period

Available options:
daily,
weekly,
biweekly,
monthly,
yearly
grossSalary
integer

Gross Salary

payments
integer

Payments

contributionGroup
string

Contribution Group

startDate
string<date>

Start Date

endDate
string<date>

End Date

limit
integer

Limit results

page
integer

Request a specific page

Response

200 - application/json

Array of Objects

data
object[]
meta
object